Debian Bug report logs - #703996
ITP: woff-tools -- tools to convert between OpenType and WOFF formats

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Frédéric WANG <fred.wang@free.fr>

Date: Tue, 26 Mar 2013 15:57:01 UTC

Owned by: Dmitry Shachnev <mitya57@gmail.com>

Severity: wishlist

Merged with 703997

Fixed in version woff-tools/0:2009.10.04-1

Done: Dmitry Shachnev <mitya57@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#703996; Package wnpp. (Tue, 26 Mar 2013 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric WANG <frederic87wang@free.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 26 Mar 2013 15:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric WANG <frederic87wang@free.fr>
To: submit@bugs.debian.org
Subject: RFP: sfnt2woff -- Tool to convert TrueType/OpenType fonts to WOFF format
Date: Tue, 26 Mar 2013 16:48:26 +0100
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

--- Please fill out the fields below. ---

Package name: sfnt2woff
Version: 1.0
Upstream Author: Jonathan Kew <jfkthame@gmail.com>
URL: https://people.mozilla.com/~jkew/woff/
License: MPL 1.1/GPL 2.0/LGPL 2.1]
Description: woff is a Web font format that became a W3C recommendation 
last december (http://www.w3.org/TR/WOFF/). It is essentially a wrapper 
that contains sfnt-based fonts. No Debian packages seem available to 
generate woff fonts from sfnt ones so a sfnt2woff package could be 
created for that purpose. This program is necessary to generate the Web 
fonts used by MathJax.




Merged 703996 703997 Request was from Andrew Shadura <enaveita.forwarder@gmail.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 16:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703996; Package wnpp. (Tue, 26 Mar 2013 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric WANG <fred.wang@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 26 Mar 2013 16:12:04 GMT) Full text and rfc822 format available.


Message #12 received at 703996@bugs.debian.org (full text, mbox):

From: Frédéric WANG <fred.wang@free.fr>
To: 703996@bugs.debian.org
Date: Tue, 26 Mar 2013 17:04:24 +0100
Oops, I thought I aborted the sending of this mail. Could this be 
closed? It is a duplicate of

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703997





Changed Bug submitter to 'Frédéric WANG <fred.wang@free.fr>' from 'Frédéric WANG <frederic87wang@free.fr>' Request was from Frédéric WANG <fred.wang@free.fr> to control@bugs.debian.org. (Tue, 26 Mar 2013 16:30:04 GMT) Full text and rfc822 format available.

Merged 703996 703997 Request was from aburchar <ansgar@debian.org> to control@bugs.debian.org. (Tue, 26 Mar 2013 16:51:08 GMT) Full text and rfc822 format available.

Owner recorded as Dmitry Shachnev <mitya57@gmail.com>. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Sat, 30 Mar 2013 12:24:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Dmitry Shachnev <mitya57@gmail.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 31 Mar 2013 11:03:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: woff-tools: tools to convert between OpenType and WOFF formats' from 'RFP: sfnt2woff -- Tool to convert TrueType/OpenType fonts to WOFF format' Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Sun, 31 Mar 2013 15:45:14 GMT) Full text and rfc822 format available.

Owner recorded as Dmitry Shachnev <mitya57@gmail.com>. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Sun, 31 Mar 2013 15:45:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: woff-tools -- tools to convert between OpenType and WOFF formats' from 'ITP: woff-tools: tools to convert between OpenType and WOFF formats' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 31 Mar 2013 17:15:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from mitya57-guest@alioth.debian.org to control@bugs.debian.org. (Thu, 04 Apr 2013 09:15:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 703996: 704668 Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Thu, 04 Apr 2013 10:51:04 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Shachnev <mitya57@gmail.com>:
You have taken responsibility. (Thu, 30 May 2013 11:03:27 GMT) Full text and rfc822 format available.

Notification sent to Frédéric WANG <fred.wang@free.fr>:
Bug acknowledged by developer. (Thu, 30 May 2013 11:03:27 GMT) Full text and rfc822 format available.

Message #35 received at 703996-close@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 703996-close@bugs.debian.org
Subject: Bug#703996: fixed in woff-tools 0:2009.10.04-1
Date: Thu, 30 May 2013 11:00:14 +0000
Source: woff-tools
Source-Version: 0:2009.10.04-1

We believe that the bug you reported is fixed in the latest version of
woff-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Shachnev <mitya57@gmail.com> (supplier of updated woff-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 16 May 2013 19:13:17 +0400
Source: woff-tools
Binary: woff-tools
Architecture: source amd64
Version: 0:2009.10.04-1
Distribution: unstable
Urgency: low
Maintainer: Dmitry Shachnev <mitya57@gmail.com>
Changed-By: Dmitry Shachnev <mitya57@gmail.com>
Description: 
 woff-tools - tools to convert between OpenType and WOFF formats
Closes: 703996
Changes: 
 woff-tools (0:2009.10.04-1) unstable; urgency=low
 .
   * Initial release (closes: #703996).
   * debian/patches/CVE-2010-1028.patch: backport a patch from
     mozilla-central to fix WOFF heap corruption due to integer overflow.
   * debian/patches/add-overflow-checks.patch: backport a patch from
     mozilla-central that adds arithmetic overflow checks.
   * debian/patches/fix-compiler-and-cppcheck-warnings.patch: add a patch
     to fix some compiler and cppcheck warnings.
Checksums-Sha1: 
 4bbe3a1f84577aac199c4590bc584bbee7d69f1a 1988 woff-tools_2009.10.04-1.dsc
 ed42693fcbbb3655c8f3fef1a26d8730d39a34f7 14046 woff-tools_2009.10.04.orig.tar.gz
 982120e894fd9f1d881c1980aa2097f93f2019fe 13351 woff-tools_2009.10.04-1.debian.tar.gz
 a260c4ece03a90cba65b156e132643c39acf432a 24272 woff-tools_2009.10.04-1_amd64.deb
Checksums-Sha256: 
 7f0d479ac6b287998fffa33bd3460f3dcdfca4f07a6971f9eba95c92a0355cdd 1988 woff-tools_2009.10.04-1.dsc
 f493069c613f5e81f5bf89f9e31eb513983e4d290e3faba9a6df49a3f07c27c5 14046 woff-tools_2009.10.04.orig.tar.gz
 d5246bbb2ca2a59f1fa8439e5a979dfb55ae86c2f728e3cd2f2ddd3cb0e6fee0 13351 woff-tools_2009.10.04-1.debian.tar.gz
 bef2c8e1bbff157fbd1198b528726c4ae3fd98b95cfe840acd1f77434a1534f3 24272 woff-tools_2009.10.04-1_amd64.deb
Files: 
 07f9f2f7baf942c28ca392d4a8ea4aea 1988 fonts optional woff-tools_2009.10.04-1.dsc
 01da8443d61c79ccc4f392f057b00d1b 14046 fonts optional woff-tools_2009.10.04.orig.tar.gz
 1157b3a833be06169f761761ba32ae1e 13351 fonts optional woff-tools_2009.10.04-1.debian.tar.gz
 b8b5c6ebc9a67150dbb4c268f53130c7 24272 fonts optional woff-tools_2009.10.04-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRlQr7AAoJEDtW4rvVP9yxrw4P/1xgDSTDnrKoWlehjb40uZXw
2lf6cUy+VGT14Vh6DjyGxU7Y/PCy9CIc+N2gAyIijDeddgyXTjBiMJrpJGtfmym2
VBrTJKCIagnErhoR7VttAVNnACmRxIjeN1rusJPH8C2AFvxhGZXK5o8Xa9tYVZh7
uHJ7+nm8nXyRWSrmWIowyDRnumSMZ15LDHkJdrGEXNyk54+5aXZTjnZGgLiXM3gL
B0TGRGav4n4OuoFq/GTY7j4/oKj34hxfhWo9dgrRhVN6VzDnxZ5j+63C6QZWoImK
ErDCzuRX6ODwEXnACMwOXHeBW7Lrb0CPrFUn8kjHSG1LiKgAaxvyVhXMD4O5XTq3
pc1rA0lzH7fq+cB7OwMF0WKJwp3gepDIrLqXvGVoXGnPWQCcntKgWTK3HLWMsia2
x3z2gIC/oLmYdYT2qrLdBcWct0+7R4dslBAGbllXJ7EY/CVuE9UN8L/qt6qZgSdM
tUIsn3TQ1glGOLM205NHClITzqsHgsm6CWcEI5ZmXYvvpjAaaIntCBRHX3GNUrZo
G5GhsIUiHSCX5/AOEseaWMUKlCNvn0N5/x+C/mCGIk5+hbdGDEoHvPPemPTyZfi2
/X9ONKHa69L4X2cEQNgsQbd7FX49bEmoNQcH5Qpe1/6UJIh+BDLP/BXcvgTo4w9O
inetR9KiszqwSle9SFEb
=m6+4
-----END PGP SIGNATURE-----




Reply sent to Dmitry Shachnev <mitya57@gmail.com>:
You have taken responsibility. (Thu, 30 May 2013 11:03:28 GMT) Full text and rfc822 format available.

Notification sent to Frédéric WANG <fred.wang@free.fr>:
Bug acknowledged by developer. (Thu, 30 May 2013 11:03:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Jun 2013 07:42:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:23:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.